package com.ynet.life.mvc;

import com.sun.image.codec.jpeg.JPEGCodec;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.gene.web.servlet.view.ExceptionView;
import com.ynet.life.base.LifeConstants;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/* loaded from: com_ynet_life_mvc.jar:com/ynet/life/mvc/LifePlat4MVCView.class */
public class LifePlat4MVCView extends ExceptionView {
    private String url;
    private String urlField;
    private String exceptionName;
    private String errorCode;
    private String tranCode;
    private String pkgid;

    public void render(Map model, HttpServletRequest request, HttpServletResponse response, String rootPath) {
        try {
            renderPB(model, request, response);
        } catch (Exception e) {
            Trace.logError("LifeAction", "XML视图实现类render方法处理失败", e);
        }
    }

    public void renderPB(Map model, HttpServletRequest request, HttpServletResponse response) throws ObjectNotFoundException, InvalidArgumentException {
        Context context = (Context) model.get(GENEConstance.ATTR_CONTEXT);
        String uri = (String) context.getDataValue(TEntity.uriFieldname);
        int index = uri.lastIndexOf("/");
        String actionId = uri.substring(index + 1);
        if (!"tranVerificationCode.do".equals(actionId)) {
            try {
                response.addHeader("Cache-Control", "no-cache");
                response.addHeader("Content-Type", "application/xml");
                String data = (String) context.getDataValue(TEntity.platReturnMesFieldname);
                response.getOutputStream().write(data.getBytes("UTF-8"));
                Trace.logInfo("LifeAction", data);
                return;
            } catch (Exception e) {
                Trace.logError("LifeAction", "XML视图实现类renderPB方法处理失败", e);
                return;
            }
        }
        String confirmCode = (String) context.getDataValue("transferConfirmCode");
        String confirmCodeKey = String.valueOf(confirmCode.toUpperCase()) + "transferConfirmCode";
        String payAmount = (String) context.getDataValue("payAmount");
        String payAmountKey = String.valueOf(confirmCode.toUpperCase()) + "payAmount";
        String recAccount = (String) context.getDataValue("recAccount");
        String recAccountKey = String.valueOf(confirmCode.toUpperCase()) + "recAccount";
        String recAccountName = (String) context.getDataValue("recAccountName");
        String recAccountNameKey = String.valueOf(confirmCode.toUpperCase()) + "recAccountName";
        String payAccount = (String) context.getDataValue("payAccount");
        String payAccountKey = String.valueOf(confirmCode.toUpperCase()) + "payAccount";
        HttpSession cSession = request.getSession();
        long currentTime = System.currentTimeMillis();
        cSession.setAttribute(String.valueOf(confirmCode) + "session_verifyObjTime", Long.valueOf(currentTime));
        cSession.setAttribute(confirmCodeKey, confirmCode);
        cSession.setAttribute(payAmountKey, payAmount);
        cSession.setAttribute(recAccountKey, recAccount);
        cSession.setAttribute(recAccountNameKey, recAccountName);
        cSession.setAttribute(payAccountKey, payAccount);
        OutputStream outputStream = null;
        BufferedImage bufferedImage = (BufferedImage) context.getDataValue(LifeConstants.TRAN_VERIFICATION_IMAGE);
        try {
            try {
                outputStream = response.getOutputStream();
                response.setContentType("image/jpeg");
                response.setHeader("Pragma", "No-cache");
                response.setHeader("Cache-Control", "no-cache");
                response.setDateHeader("Expires", 0L);
                JPEGCodec.createJPEGEncoder(outputStream).encode(bufferedImage);
                outputStream.flush();
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException ex) {
                        Trace.logWarning(GENEConstance.GENE_MVC, "HTTP数据流对象关闭异常", ex);
                    }
                }
            } catch (Throwable th) {
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException ex2) {
                        Trace.logWarning(GENEConstance.GENE_MVC, "HTTP数据流对象关闭异常", ex2);
                    }
                }
                throw th;
            }
        } catch (IOException ex3) {
            Trace.logError(GENEConstance.GENE_MVC, "验证码生成出错", ex3);
            if (outputStream != null) {
                try {
                    outputStream.close();
                } catch (IOException ex4) {
                    Trace.logWarning(GENEConstance.GENE_MVC, "HTTP数据流对象关闭异常", ex4);
                }
            }
        }
    }

    private String renderResponse(Map model) throws GENEException, InvalidArgumentException {
        return (String) ((Context) model.get(GENEConstance.ATTR_CONTEXT)).getDataValue(TEntity.platReturnMesFieldname);
    }

    public String getUrl() {
        return this.url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getExceptionName() {
        return this.exceptionName;
    }

    public void setExceptionName(String exceptionName) {
        this.exceptionName = exceptionName;
    }

    public String getUrlField() {
        return this.urlField;
    }

    public void setUrlField(String urlField) {
        this.urlField = urlField;
    }

    public String getErrorCode() {
        return this.errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
}
